Skip to main content
POST
/
v1
/
organizations
/
{organization_id}
/
workspaces
/
{workspace_id}
/
shopping
/
analyses
/
{id}
/
prompts
Add prompts to shopping analysis
curl --request POST \
  --url https://api.shareofmodel.ai/v1/organizations/{organization_id}/workspaces/{workspace_id}/shopping/analyses/{id}/prompts \
  --header 'Authorization: <api-key>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "prompts": [
    {
      "theme_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "selling_point_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "prompt": "<string>",
      "locale": "<string>"
    }
  ]
}
'
[
  {
    "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "theme_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "selling_point_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "prompt": "<string>",
    "locale": "<string>",
    "created_at": "2023-11-07T05:31:56Z",
    "analysis": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
  }
]

Documentation Index

Fetch the complete documentation index at: https://docs.shareofmodel.ai/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Path Parameters

id
string<uuid>
required

Shopping analysis id.

organization_id
string<uuid>
required

A UUID string identifying the organization.

workspace_id
string<uuid>
required

A UUID string identifying the workspace.

Body

prompts
object[]
required

Response

Prompts added successfully.

id
string<uuid>
required
read-only
theme_id
string<uuid>
required
read-only
selling_point_id
string<uuid>
required
read-only
prompt
string
required
locale
string
required
Maximum string length: 50
created_at
string<date-time>
required
read-only
analysis
string<uuid>
required